import equality.Bit;
import equality.EqualityRelation;

public class Main {

	public static void main(String[] args) {
		Bit b0 = new Bit();
		Bit b1 = new Bit();
		Bit b2 = new Bit();
        System.out.println("Create equality b0:=:b1");
		EqualityRelation e1 = new EqualityRelation(b0,b1);        
        e1.enable();
        System.out.println("Create equality b0:=:b2");
		EqualityRelation e2 = new EqualityRelation(b0,b2);
        e2.enable();
        System.out.println("Create equality b0:=:b2 (again)");
		EqualityRelation e3 = new EqualityRelation(b0,b2);
        e3.enable();
        System.out.println("Initial state:");
		System.out.println(b0);
		System.out.println(b1);
		System.out.println(b2);
        System.out.println("Set b0...");
		b0.set();
        System.out.println(b0);
		System.out.println(b1);
		System.out.println(b2);
        System.out.println("Clear b0...");
        b0.clear();
        System.out.println(b0);
        System.out.println(b1);
        System.out.println(b2);
        System.out.println("Set b1...");
        b1.set();
        System.out.println(b0);
        System.out.println(b1);
        System.out.println(b2);
        System.out.println("Clear b0...");
        b0.clear();
        System.out.println(b0);
        System.out.println(b1);
        System.out.println(b2);
        System.out.println("Set b2...");
        b2.set();
        System.out.println(b0);
        System.out.println(b1);
        System.out.println(b2);
        System.out.println("Clear b0...");
        b0.clear();
        System.out.println(b0);
        System.out.println(b1);
        System.out.println(b2);
        System.out.println("Disable b0:=:b1...");
        e1.disable();
        System.out.println("Set b0...");
        b0.set();
        System.out.println(b0);
        System.out.println(b1);
        System.out.println(b2);
        
    }

}
